Bug 198598 - [PATCH] swapon: Accept the "late" option for .eli devices
Summary: [PATCH] swapon: Accept the "late" option for .eli devices
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-15 11:37 UTC by Fabian Keil
Modified: 2017-03-31 08:46 UTC (History)
6 users (show)

See Also:
woodsb02: mfc-stable11?


Attachments
[PATCH] swapon: Accept the "late" option for .eli devices (989 bytes, patch)
2015-03-15 11:37 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2015-03-15 11:37:23 UTC
Created attachment 154327 [details]
[PATCH] swapon: Accept the "late" option for .eli devices

Using the late option makes it possible to additionally use the
consumer device as (unencrypted!) dump device without making it
unavailable for rc.d/savecore (which runs between rc.d/swap
and rc.d/swaplate).

Obtained from: ElectroBSD
Comment 1 Ben Woods freebsd_committer 2016-10-01 05:29:36 UTC
I have just come across this as well, and would also like to see the "late" option accepted for .eli swap devices in /etc/fstab, so I can use (unencrypted) dumps and encrypted swap.

This patch is an improvement on the work committed by delphij and reviewed by hrs in r252388, so I have copied them into this bug report.
https://svnweb.freebsd.org/base?view=revision&revision=252388
Comment 2 Ben Woods freebsd_committer 2016-10-31 10:45:48 UTC
This one keeps catching me out - anyone willing to have a look at this one? Simple patch has been attached by Fabian with fix from ElectroBSD.

# swapon -aL
Invalid option: late

# cat /etc/fstab
# Device             Mountpoint    FStype          Options         Dump    Pass#
/dev/ada2p2.eli      none          swap            sw,late         0       0
Comment 3 mcdouga9 2016-10-31 13:11:40 UTC
This affects me as well. I didn't realize a bug report was already open. The Importance could be raised above "Affects Only Me".
Comment 4 Fabian Keil 2017-03-18 10:10:23 UTC
This was fixed in r315242/1237e7da. After the MFC this PR can be closed.
Comment 5 Ben Woods freebsd_committer 2017-03-18 10:29:30 UTC
Committed to head here:
https://svnweb.freebsd.org/base?view=revision&revision=r315242
Comment 6 Fabian Keil 2017-03-31 08:46:55 UTC
The fix was MFC'd in r316096 and r316097.

https://svnweb.freebsd.org/base?view=revision&revision=r316097 (stable/11)
https://svnweb.freebsd.org/base?view=revision&revision=r316096 (stable/10)